package com.pj.tb_company;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_company -- 企业管理
 * @author yzs 
 */
@RestController
@RequestMapping("/TbCompany/")
public class TbCompanyController {

	/** 底层 Service 对象 */
	@Autowired
	TbCompanyService tbCompanyService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbCompany.PERMISSION_CODE_ADD)
	public AjaxJson add(TbCompany t){
		tbCompanyService.add(t);
		t = tbCompanyService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbCompany.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbCompanyService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbCompany.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbCompany.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbCompany.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbCompany t){
		tbCompanyService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbCompany.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbCompany t = tbCompanyService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbCompany.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbCompany> list = tbCompanyService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	/** 改 - 删除状态(0=禁用,1=启用) */  
	@RequestMapping("updateDeleteStatus")
	@SaCheckPermission(TbCompany.PERMISSION_CODE_EDIT)
	public AjaxJson updateDeleteStatus(Long id, Long value){
		int line = SP.publicMapper.updateColumnById(TbCompany.TABLE_NAME, "delete_status", value, id);
		return AjaxJson.getByLine(line);
	}
	
	

	
	
	

}
